cryptol-2.8.0: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2016 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.Instantiate

Description

# Documentation

instantiateWith :: Name -> Expr -> Schema -> [TypeArg] -> InferM (Expr, Type) Source #

data TypeArg Source #

Constructors

TypeArg |

Fields

- tyArgName :: Maybe (Located Ident)
- tyArgType :: MaybeCheckedType

uncheckedTypeArg :: TypeInst Name -> TypeArg Source #

data MaybeCheckedType Source #

Constructors

Checked Type |
Unchecked (Type Name) |